#include "ruby.h"
#include "ming.h"

VALUE mSwf;
ID id_init, id_call;

#ifdef DEBUG
#define Debug(str) puts(str)
#else
#define Debug(str)
#endif

#define DefineAttr(class, attr) {\
	rb_define_method(cSwf_##class, #attr, swf_##class##_get_##attr, 0);\
	rb_define_method(cSwf_##class, #attr "=", swf_##class##_set_##attr, 1);\
}

#include "block.h"
#include "character.h"
#include "displayitem.h"
#include "rect.h"
#include "fill.h"
#include "font.h"
#include "text.h"
#include "textfield.h"
#include "bitmap.h"
#include "gradient.h"
#include "shape.h"
#include "morph.h"
#include "sound.h"
#include "movie.h"
#include "movieclip.h"
#include "action.h"
#include "button.h"
