
#include<stdio.h>

#include "compile.h"

extern FILE *yyin;
extern Buffer out;
extern int yydebug;

#define print(x)	{fputs(x,stdout);}

int main(int argc, char *argv[])
{
  Buffer b;

  yydebug = 1;

  if(argc > 0)
    yyin = fopen(argv[1], "r");
  else
    yyin = stdin;

  yyparse((void *)&b);

  if(b == NULL)
    exit(1);

  bufferWriteU8(b, SWFACTION_END);

  putchar('\n');

  printDoAction(b);
}
