/*
    Ming, an SWF output library
    Copyright (C) 2000  Opaque Industries - http://www.opaque.net/

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "bitmap.h"
#include "rect.h"

void destroySWFBitmap(SWFBlock block)
{
  destroySWFBlock(block);
}


void SWFJpegBitmap_closeFiles(void *b);
void SWFJpegWithAlpha_closeFiles(void *b);
void SWFDBLBitmap_closeFiles(void *b);

/* hack-o-rama */
void SWFBitmap_closeFiles(SWFBitmap b)
{
  if(BLOCK(b)->type == SWF_DEFINEBITSJPEG2)
    SWFJpegBitmap_closeFiles(b);

  else if(BLOCK(b)->type == SWF_DEFINEBITSJPEG3)
    SWFJpegWithAlpha_closeFiles(b);

  else if(BLOCK(b)->type == SWF_DEFINEBITSJPEG3)
    SWFDBLBitmap_closeFiles(b);
}

int SWFBitmap_getWidth(SWFBitmap b)
{
  SWFRect bounds = CHARACTER(b)->bounds;
  return bounds->maxX - bounds->minX;
}
int SWFBitmap_getHeight(SWFBitmap b)
{
  SWFRect bounds = CHARACTER(b)->bounds;
  return bounds->maxY - bounds->minY;
}
