
require 'swf'

# sprite has one letter per frame

p = Swf::MovieClip.new
p.add Swf::Action.new "stop();"

chars = 'abcdefghijklmnopqrstuvwxyz1234567890!@#$%^&*()_+-=/[]{}|;:,.<>?`~'

f = Swf::Font.new "_sans"

i = nil

chars.each_byte do |c|
  p.remove i if i
  t = Swf::TextField.new
  t.font = f
  t.height = 240
  t.set_bounds 600, 240
  t.align = Swf::TextField::ALIGN_CENTER
  t.add_string c.chr
  i = p.add t
  p.frame_name = c.chr
  p.next_frame
end

# hit region for button - the entire frame

s = Swf::Shape.new
s.set_right_fill s.add_solid_fill 0, 0, 0
s.draw_line +600,    0
s.draw_line    0, +400
s.draw_line -600,    0
s.draw_line    0, -400

# button checks for pressed key, sends sprite to the right frame

b = Swf::Button.new
b.add_shape s, Swf::Button::HIT

chars.each_byte do |c|
  b.add_action \
    Swf::Action.new("setTarget('/char'); gotoFrame('#{c.chr}');"),
    Swf::Button::key_press(c)
end

m = Swf::Movie.new
m.set_dimension 600,400
i = m.add p
i.name = 'char'
i.move_to 0, 80

m.add b

m.save "test.swf"
