#include "init.h"

void
swf_no_block()
{
	rb_raise(rb_eRuntimeError, "already closed block");
}

static void
swf_free_block(p)
	SWFBlock p;
{
	Debug("swf free block");
	destroySWFBlock(p);
}

static VALUE
swf_block_new(self)
	VALUE self;
{
	VALUE obj;
	
	SWFBlock p;
	p = newSWFProtectBlock();
	obj = Data_Wrap_Struct(self, 0, swf_free_block, p);
	return obj;
}

void
swf_init_block()
{
	cSwf_block = rb_define_class_under(mSwf, "Block", rb_cObject);
	rb_define_singleton_method(cSwf_block, "new", swf_block_new, 0);
}
