#include "init.h"

void
swf_no_morph()
{
	rb_raise(rb_eRuntimeError, "already closed morph");
}

static void
swf_free_morph(p)
	SWFMorph p;
{
	Debug("swf free morph");
	destroySWFMorph(p);
}

static VALUE
swf_morph_new(self)
	VALUE self;
{
	VALUE obj;
	
	SWFMorph p;
	p = newSWFMorphShape();
	obj = Data_Wrap_Struct(self, 0, swf_free_morph, p);
	return obj;
}

static VALUE
swf_morph_get_shape1(self)
	VALUE self;
{
	SWFMorph p;
	
	GetMorph(self, p);
	return swf_shape_alloc(cSwf_shape, SWFMorph_getShape1(p));
}

static VALUE
swf_morph_get_shape2(self)
	VALUE self;
{
	SWFMorph p;
	
	GetMorph(self, p);
	return swf_shape_alloc(cSwf_shape, SWFMorph_getShape2(p));
}

void
swf_init_morph()
{
	cSwf_morph = rb_define_class_under(mSwf, "Morph", rb_cObject);
	rb_define_singleton_method(cSwf_morph, "new", swf_morph_new, 0);
	rb_define_method(cSwf_morph, "shape1", swf_morph_get_shape1, 0);
	rb_define_method(cSwf_morph, "shape2", swf_morph_get_shape2, 0);
}
